Bug 1258163 - Bluetooth adapter recognized and seems to be scanning, but cannot find devices or be found
Bluetooth adapter recognized and seems to be scanning, but cannot find device...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Pete Walter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-29 14:55 EDT by Justin W. Flory
Modified: 2016-12-20 09:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:31:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin W. Flory 2015-08-29 14:55:41 EDT
Originally posted on StackExchange (http://superuser.com/questions/962261/bluetooth-adapter-online-but-not-discoverable-and-cannot-find-anything-in-linux), but was recommended on IRC to submit a bug request.


Description of problem:
I recently purchased an Asunflower Atheros AR5B22 300M Wireless Wifi Bluetooth 4.0 PCI-E Card Desktop Adapter to add wireless and Bluetooth support for my desktop. While the WiFi functionality is fine and I can connect to networks, I cannot seem to use Bluetooth.

The strange thing is that the system seems to be able to find the Bluetooth adapter and see that it's online, as the following log shows…

$ hciconfig -a hci0
hci0:   Type: BR/EDR  Bus: USB
    BD Address: DC:85:DE:7C:66:1C  ACL MTU: 1022:8  SCO MTU: 183:5
    UP RUNNING PSCAN ISCAN INQUIRY 
    RX bytes:3353 acl:0 sco:0 events:457 errors:0
    TX bytes:5763 acl:0 sco:0 commands:398 errors:0
    Features: 0xff 0xfe 0x0d 0xfe 0xd8 0x7f 0x7b 0x8f
    Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
    Link policy: RSWITCH HOLD SNIFF 
    Link mode: SLAVE ACCEPT 
    Name: 'My Desktop'
    Class: 0x1c0104
    Service Classes: Rendering, Capturing, Object Transfer
    Device Class: Computer, Desktop workstation
    HCI Version: 4.1 (0x7)  Revision: 0x1102
    LMP Version: 4.0 (0x6)  Subversion: 0x1
    Manufacturer: Atheros Communications, Inc. (69)

However, even though the output tells me that Bluetooth is online and discoverable, none of my Bluetooth devices see my computer and my computer doesn't see any Bluetooth devices.


Version-Release number of selected component (if applicable):
2.0-11.fc22


How reproducible:
Always.


Steps to Reproduce:
1. Install Bluetooth adapter and reboot.
2. Enable Bluetooth and search for devices (fails to find discoverable devices nor can it be discovered itself).


Actual results:
Unable to pair with any Bluetooth devices.


Expected results:
Be found by other Bluetooth devices and pair with other devices.


Additional info:
If anything else is needed, just let me know.
Comment 1 Justin W. Flory 2015-09-03 19:08:19 EDT
Attaching link for information purposes: https://wikidevi.com/wiki/Atheros_AR5B22
Comment 2 Fedora Admin XMLRPC Client 2016-06-21 12:25:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-07-19 15:17:32 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Justin W. Flory 2016-07-19 15:20:08 EDT
Can still confirm this is happening in Fedora 23. Haven't upgraded my desktop to Fedora 24 to test yet.
Comment 5 Fedora End Of Life 2016-11-24 07:24:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 09:31:11 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.